<?php

/**
 * Implementation of hook_content_default_fields().
 */
function simple_dita_forms_content_default_fields() {
  $fields = array();

  // Exported field: field_dita_con_abstract
  $fields['dita_concept-field_dita_con_abstract'] = array(
    'field_name' => 'field_dita_con_abstract',
    'type_name' => 'dita_concept',
    'display_settings' => array(
      'label' => array(
        'format' => 'above',
        'exclude' => 0,
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'text',
    'required' => '0',
    'multiple' => '0',
    'module' => 'text',
    'active' => '1',
    'text_processing' => '0',
    'max_length' => '',
    'allowed_values' => '',
    'allowed_values_php' => '',
    'widget' => array(
      'rows' => '5',
      'size' => 60,
      'default_value' => array(
        '0' => array(
          'value' => '',
          'format' => '1',
          '_error_element' => 'default_value_widget][field_dita_con_abstract][0][value',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Abstract',
      'weight' => '-2',
      'description' => 'The abstract element occurs between the topic title and the topic body, as the initial content of a topic. It can contain paragraph-level content as well as one or more shortdesc elements which can be used for providing link previews or summaries. The [abstract] element cannot be overridden by maps, but its contained [shortdesc] elements can be, for the purpose of creating link summaries or previews.
Use the [abstract] element when the initial paragraph of a topic is unsuitable for use as a link preview or for summaries, for example because it contains lists or tables, or because only a portion of the paragraph is suitable. Note that when the initial paragraph is suitable as a summary, that content should be placed in a [shortdesc] element rather than in an [abstract] element. The [abstract] element allows for a wider range of content in your initial paragraph, such as lists and tables, and allows you to identify portions of the [abstract] content as useful for previews or summaries by embedding the [shortdesc] element within [abstract].',
      'type' => 'text_textarea',
      'module' => 'text',
    ),
  );

  // Exported field: field_dita_con_conbody
  $fields['dita_concept-field_dita_con_conbody'] = array(
    'field_name' => 'field_dita_con_conbody',
    'type_name' => 'dita_concept',
    'display_settings' => array(
      'label' => array(
        'format' => 'above',
        'exclude' => 0,
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'text',
    'required' => '0',
    'multiple' => '0',
    'module' => 'text',
    'active' => '1',
    'text_processing' => '0',
    'max_length' => '',
    'allowed_values' => '',
    'allowed_values_php' => '',
    'widget' => array(
      'rows' => '5',
      'size' => 60,
      'default_value' => array(
        '0' => array(
          'value' => '',
          'format' => '1',
          '_error_element' => 'default_value_widget][field_dita_con_conbody][0][value',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Conbody',
      'weight' => '-1',
      'description' => 'Conbody',
      'type' => 'text_textarea',
      'module' => 'text',
    ),
  );

  // Exported field: field_dita_con_navtitle
  $fields['dita_concept-field_dita_con_navtitle'] = array(
    'field_name' => 'field_dita_con_navtitle',
    'type_name' => 'dita_concept',
    'display_settings' => array(
      'label' => array(
        'format' => 'above',
        'exclude' => 0,
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'text',
    'required' => '0',
    'multiple' => '0',
    'module' => 'text',
    'active' => '1',
    'text_processing' => '0',
    'max_length' => '',
    'allowed_values' => '',
    'allowed_values_php' => '',
    'widget' => array(
      'rows' => '5',
      'size' => '60',
      'default_value' => array(
        '0' => array(
          'value' => '',
          '_error_element' => 'default_value_widget][field_dita_con_navtitle][0][value',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Navtitle',
      'weight' => '54',
      'description' => 'The navigation title ([navtitle]) element is one of a set of alternate titles that can be included inside the [titlealts] element. This navigation title may differ from the first level heading that shows in the main browser window. Use [navtitle] when the actual title of the topic isn’t appropriate for use in navigation panes or online contents (for example, because the actual title is too long).',
      'type' => 'text_textfield',
      'module' => 'text',
    ),
  );

  // Exported field: field_dita_con_related_links_ex
  $fields['dita_concept-field_dita_con_related_links_ex'] = array(
    'field_name' => 'field_dita_con_related_links_ex',
    'type_name' => 'dita_concept',
    'display_settings' => array(
      'label' => array(
        'format' => 'above',
        'exclude' => 0,
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'text',
    'required' => '0',
    'multiple' => '1',
    'module' => 'text',
    'active' => '1',
    'text_processing' => '0',
    'max_length' => '',
    'allowed_values' => '',
    'allowed_values_php' => '',
    'widget' => array(
      'rows' => 5,
      'size' => '60',
      'default_value' => array(
        '0' => array(
          'value' => '',
          '_error_element' => 'default_value_widget][field_dita_con_related_links_ex][0][value',
        ),
      ),
      'default_value_php' => NULL,
      'label' => ' External related links',
      'weight' => '66',
      'description' => '',
      'type' => 'text_textfield',
      'module' => 'text',
    ),
  );

  // Exported field: field_dita_con_related_links_lo
  $fields['dita_concept-field_dita_con_related_links_lo'] = array(
    'field_name' => 'field_dita_con_related_links_lo',
    'type_name' => 'dita_concept',
    'display_settings' => array(
      'label' => array(
        'format' => 'above',
        'exclude' => 0,
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'nodereference',
    'required' => '0',
    'multiple' => '1',
    'module' => 'nodereference',
    'active' => '1',
    'referenceable_types' => array(
      'dita_reference' => 'dita_reference',
      'dita_task' => 'dita_task',
      'page' => 0,
      'graphmind' => FALSE,
      'dita_concepts' => FALSE,
      'external_resource' => FALSE,
    ),
    'advanced_view' => '--',
    'advanced_view_args' => '',
    'widget' => array(
      'autocomplete_match' => 'contains',
      'size' => '60',
      'default_value' => array(
        '0' => array(
          'nid' => NULL,
          '_error_element' => 'default_value_widget][field_dita_con_related_links_lo][0][nid][nid',
        ),
      ),
      'default_value_php' => NULL,
      'label' => ' Local related links',
      'weight' => '65',
      'description' => '',
      'type' => 'nodereference_autocomplete',
      'module' => 'nodereference',
    ),
  );

  // Exported field: field_dita_con_searchtitle
  $fields['dita_concept-field_dita_con_searchtitle'] = array(
    'field_name' => 'field_dita_con_searchtitle',
    'type_name' => 'dita_concept',
    'display_settings' => array(
      'label' => array(
        'format' => 'above',
        'exclude' => 0,
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'text',
    'required' => '0',
    'multiple' => '0',
    'module' => 'text',
    'active' => '1',
    'text_processing' => '0',
    'max_length' => '',
    'allowed_values' => '',
    'allowed_values_php' => '',
    'widget' => array(
      'rows' => 5,
      'size' => '60',
      'default_value' => array(
        '0' => array(
          'value' => '',
          '_error_element' => 'default_value_widget][field_dita_con_searchtitle][0][value',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Searchtitle',
      'weight' => '55',
      'description' => 'When your DITA task is transformed to XHTML, the [searchtitle] element is used to create a title element at the top of the resulting HTML file. This title is normally used in search result summaries by some search engines, such as that in Eclipse (http://eclipse.org); if not set, the XHTML’s title element defaults to the source topic’s title content (which may not be as well optimized for search summaries)',
      'type' => 'text_textfield',
      'module' => 'text',
    ),
  );

  // Exported field: field_dita_ref_abstract
  $fields['dita_reference-field_dita_ref_abstract'] = array(
    'field_name' => 'field_dita_ref_abstract',
    'type_name' => 'dita_reference',
    'display_settings' => array(
      'label' => array(
        'format' => 'above',
        'exclude' => 0,
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'text',
    'required' => '0',
    'multiple' => '0',
    'module' => 'text',
    'active' => '1',
    'text_processing' => '1',
    'max_length' => '',
    'allowed_values' => '',
    'allowed_values_php' => '',
    'widget' => array(
      'rows' => '5',
      'size' => 60,
      'default_value' => array(
        '0' => array(
          'value' => '',
          'format' => '1',
          '_error_element' => 'default_value_widget][field_dita_ref_abstract][0][value',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Abstract',
      'weight' => '27',
      'description' => 'The abstract element occurs between the topic title and the topic body, as the initial content of a topic. It can contain paragraph-level content as well as one or more shortdesc elements which can be used for providing link previews or summaries. The [abstract] element cannot be overridden by maps, but its contained [shortdesc] elements can be, for the purpose of creating link summaries or previews.
Use the [abstract] element when the initial paragraph of a topic is unsuitable for use as a link preview or for summaries, for example because it contains lists or tables, or because only a portion of the paragraph is suitable. Note that when the initial paragraph is suitable as a summary, that content should be placed in a [shortdesc] element rather than in an [abstract] element. The [abstract] element allows for a wider range of content in your initial paragraph, such as lists and tables, and allows you to identify portions of the [abstract] content as useful for previews or summaries by embedding the [shortdesc] element within [abstract].',
      'type' => 'text_textarea',
      'module' => 'text',
    ),
  );

  // Exported field: field_dita_ref_navtitle
  $fields['dita_reference-field_dita_ref_navtitle'] = array(
    'field_name' => 'field_dita_ref_navtitle',
    'type_name' => 'dita_reference',
    'display_settings' => array(
      'label' => array(
        'format' => 'above',
        'exclude' => 0,
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'text',
    'required' => '0',
    'multiple' => '0',
    'module' => 'text',
    'active' => '1',
    'text_processing' => '0',
    'max_length' => '',
    'allowed_values' => '',
    'allowed_values_php' => '',
    'widget' => array(
      'rows' => '5',
      'size' => '60',
      'default_value' => array(
        '0' => array(
          'value' => '',
          '_error_element' => 'default_value_widget][field_dita_ref_navtitle][0][value',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Navtitle',
      'weight' => '54',
      'description' => 'The navigation title ([navtitle]) element is one of a set of alternate titles that can be included inside the [titlealts] element. This navigation title may differ from the first level heading that shows in the main browser window. Use [navtitle] when the actual title of the topic isn’t appropriate for use in navigation panes or online contents (for example, because the actual title is too long).',
      'type' => 'text_textfield',
      'module' => 'text',
    ),
  );

  // Exported field: field_dita_ref_prolog
  $fields['dita_reference-field_dita_ref_prolog'] = array(
    'field_name' => 'field_dita_ref_prolog',
    'type_name' => 'dita_reference',
    'display_settings' => array(
      'label' => array(
        'format' => 'above',
        'exclude' => 0,
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'text',
    'required' => '0',
    'multiple' => '0',
    'module' => 'text',
    'active' => '1',
    'text_processing' => '1',
    'max_length' => '',
    'allowed_values' => '',
    'allowed_values_php' => '',
    'widget' => array(
      'rows' => '5',
      'size' => 60,
      'default_value' => array(
        '0' => array(
          'value' => '',
          'format' => '1',
          '_error_element' => 'default_value_widget][field_dita_ref_prolog][0][value',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Prolog',
      'weight' => '29',
      'description' => 'The [prolog] element contains information about the topic as an whole (for example, author information or subject category) that is either entered by the author or machine-maintained. Much of the metadata inside the [prolog] will not be displayed with the task on output, but may be used by processes that generate search indexes or customize navigation.',
      'type' => 'text_textarea',
      'module' => 'text',
    ),
  );

  // Exported field: field_dita_ref_refbody
  $fields['dita_reference-field_dita_ref_refbody'] = array(
    'field_name' => 'field_dita_ref_refbody',
    'type_name' => 'dita_reference',
    'display_settings' => array(
      'label' => array(
        'format' => 'above',
        'exclude' => 0,
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'text',
    'required' => '0',
    'multiple' => '0',
    'module' => 'text',
    'active' => '1',
    'text_processing' => '1',
    'max_length' => '',
    'allowed_values' => '',
    'allowed_values_php' => '',
    'widget' => array(
      'rows' => '5',
      'size' => 60,
      'default_value' => array(
        '0' => array(
          'value' => '',
          'format' => '1',
          '_error_element' => 'default_value_widget][field_dita_ref_refbody][0][value',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Refbody',
      'weight' => '31',
      'description' => 'The [refbody] element is a container for the main content of the reference topic. Reference topics limit the body structure to tables (both simple and standard), property lists, syntax sections, and generic sections and examples, in any sequence or number.',
      'type' => 'text_textarea',
      'module' => 'text',
    ),
  );

  // Exported field: field_dita_ref_related_links_ex
  $fields['dita_reference-field_dita_ref_related_links_ex'] = array(
    'field_name' => 'field_dita_ref_related_links_ex',
    'type_name' => 'dita_reference',
    'display_settings' => array(
      'label' => array(
        'format' => 'above',
        'exclude' => 0,
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'text',
    'required' => '0',
    'multiple' => '0',
    'module' => 'text',
    'active' => '1',
    'text_processing' => '0',
    'max_length' => '',
    'allowed_values' => '',
    'allowed_values_php' => '',
    'widget' => array(
      'rows' => 5,
      'size' => '60',
      'default_value' => array(
        '0' => array(
          'value' => '',
          '_error_element' => 'default_value_widget][field_dita_ref_related_links_ex][0][value',
        ),
      ),
      'default_value_php' => NULL,
      'label' => ' External related links',
      'weight' => '66',
      'description' => '',
      'type' => 'text_textfield',
      'module' => 'text',
    ),
  );

  // Exported field: field_dita_ref_related_links_lo
  $fields['dita_reference-field_dita_ref_related_links_lo'] = array(
    'field_name' => 'field_dita_ref_related_links_lo',
    'type_name' => 'dita_reference',
    'display_settings' => array(
      'label' => array(
        'format' => 'above',
        'exclude' => 0,
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'nodereference',
    'required' => '0',
    'multiple' => '0',
    'module' => 'nodereference',
    'active' => '1',
    'referenceable_types' => array(
      'dita_reference' => 'dita_reference',
      'dita_task' => 'dita_task',
      'page' => 0,
      'graphmind' => FALSE,
      'dita_concepts' => FALSE,
      'external_resource' => FALSE,
    ),
    'advanced_view' => '--',
    'advanced_view_args' => '',
    'widget' => array(
      'autocomplete_match' => 'contains',
      'size' => '60',
      'default_value' => array(
        '0' => array(
          'nid' => NULL,
          '_error_element' => 'default_value_widget][field_dita_ref_related_links_lo][0][nid][nid',
        ),
      ),
      'default_value_php' => NULL,
      'label' => ' Local related links',
      'weight' => '65',
      'description' => '',
      'type' => 'nodereference_autocomplete',
      'module' => 'nodereference',
    ),
  );

  // Exported field: field_dita_ref_searchtitle
  $fields['dita_reference-field_dita_ref_searchtitle'] = array(
    'field_name' => 'field_dita_ref_searchtitle',
    'type_name' => 'dita_reference',
    'display_settings' => array(
      'label' => array(
        'format' => 'above',
        'exclude' => 0,
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'text',
    'required' => '0',
    'multiple' => '0',
    'module' => 'text',
    'active' => '1',
    'text_processing' => '0',
    'max_length' => '',
    'allowed_values' => '',
    'allowed_values_php' => '',
    'widget' => array(
      'rows' => 5,
      'size' => '60',
      'default_value' => array(
        '0' => array(
          'value' => '',
          '_error_element' => 'default_value_widget][field_dita_ref_searchtitle][0][value',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Searchtitle',
      'weight' => '55',
      'description' => 'When your DITA task is transformed to XHTML, the [searchtitle] element is used to create a title element at the top of the resulting HTML file. This title is normally used in search result summaries by some search engines, such as that in Eclipse (http://eclipse.org); if not set, the XHTML’s title element defaults to the source topic’s title content (which may not be as well optimized for search summaries)',
      'type' => 'text_textfield',
      'module' => 'text',
    ),
  );

  // Exported field: field_dita_task_abstract
  $fields['dita_task-field_dita_task_abstract'] = array(
    'field_name' => 'field_dita_task_abstract',
    'type_name' => 'dita_task',
    'display_settings' => array(
      'weight' => '7',
      'parent' => '',
      'label' => array(
        'format' => 'above',
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'text',
    'required' => '0',
    'multiple' => '0',
    'module' => 'text',
    'active' => '1',
    'text_processing' => '0',
    'max_length' => '',
    'allowed_values' => '',
    'allowed_values_php' => '',
    'widget' => array(
      'rows' => '5',
      'size' => 60,
      'default_value' => array(
        '0' => array(
          'value' => '',
          'format' => '1',
          '_error_element' => 'default_value_widget][field_dita_task_abstract][0][value',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Abstract',
      'weight' => '5',
      'description' => 'The abstract element occurs between the topic title and the topic body, as the initial content of a topic. It can contain paragraph-level content as well as one or more shortdesc elements which can be used for providing link previews or summaries. The [abstract] element cannot be overridden by maps, but its contained [shortdesc] elements can be, for the purpose of creating link summaries or previews.
Use the [abstract] element when the initial paragraph of a topic is unsuitable for use as a link preview or for summaries, for example because it contains lists or tables, or because only a portion of the paragraph is suitable. Note that when the initial paragraph is suitable as a summary, that content should be placed in a [shortdesc] element rather than in an [abstract] element. The [abstract] element allows for a wider range of content in your initial paragraph, such as lists and tables, and allows you to identify portions of the [abstract] content as useful for previews or summaries by embedding the [shortdesc] element within [abstract].',
      'type' => 'text_textarea',
      'module' => 'text',
    ),
  );

  // Exported field: field_dita_task_context
  $fields['dita_task-field_dita_task_context'] = array(
    'field_name' => 'field_dita_task_context',
    'type_name' => 'dita_task',
    'display_settings' => array(
      'weight' => '47',
      'parent' => 'group_dita_task_taskbody',
      'label' => array(
        'format' => 'above',
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'text',
    'required' => '0',
    'multiple' => '0',
    'module' => 'text',
    'active' => '1',
    'text_processing' => '0',
    'max_length' => '',
    'allowed_values' => '',
    'allowed_values_php' => '',
    'widget' => array(
      'rows' => '5',
      'size' => 60,
      'default_value' => array(
        '0' => array(
          'value' => '',
          'format' => '1',
          '_error_element' => 'default_value_widget][field_dita_task_context][0][value',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Context',
      'weight' => '47',
      'description' => 'The [context] section of a task provides background information for the task. This information helps the user understand what the purpose of the task is and what they will gain by completing the task. This section should be brief and does not replace or recreate a concept topic on the same subject, although the context section may include some conceptual information.',
      'type' => 'text_textarea',
      'module' => 'text',
    ),
  );

  // Exported field: field_dita_task_example
  $fields['dita_task-field_dita_task_example'] = array(
    'field_name' => 'field_dita_task_example',
    'type_name' => 'dita_task',
    'display_settings' => array(
      'weight' => '51',
      'parent' => 'group_dita_task_taskbody',
      'label' => array(
        'format' => 'above',
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'text',
    'required' => '0',
    'multiple' => '0',
    'module' => 'text',
    'active' => '1',
    'text_processing' => '0',
    'max_length' => '',
    'allowed_values' => '',
    'allowed_values_php' => '',
    'widget' => array(
      'rows' => '5',
      'size' => 60,
      'default_value' => array(
        '0' => array(
          'value' => '',
          '_error_element' => 'default_value_widget][field_dita_task_example][0][value',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Example',
      'weight' => '51',
      'description' => 'The [example] element is a section with the specific role of containing examples that illustrate or support the current topic. The [example] element has the same content model as [section].
DITA uses [example] to contain both discussion and sample code or outputs. Hence, in a DITA topic, to represent programming code and results within the discussion in an example, use the [codeblock] and [systemoutput] elements within the example element. For lines of text, use the [lines] element. For pre-formatted text such as email headers, use the [pre] element.',
      'type' => 'text_textarea',
      'module' => 'text',
    ),
  );

  // Exported field: field_dita_task_navtitle
  $fields['dita_task-field_dita_task_navtitle'] = array(
    'field_name' => 'field_dita_task_navtitle',
    'type_name' => 'dita_task',
    'display_settings' => array(
      'weight' => '40',
      'parent' => 'group_dita_task_titlealts',
      'label' => array(
        'format' => 'above',
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'text',
    'required' => '0',
    'multiple' => '0',
    'module' => 'text',
    'active' => '1',
    'text_processing' => '0',
    'max_length' => '',
    'allowed_values' => '',
    'allowed_values_php' => '',
    'widget' => array(
      'rows' => 5,
      'size' => '60',
      'default_value' => array(
        '0' => array(
          'value' => '',
          '_error_element' => 'default_value_widget][field_dita_task_navtitle][0][value',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Navtitle',
      'weight' => '40',
      'description' => 'The navigation title ([navtitle]) element is one of a set of alternate titles that can be included inside the [titlealts] element. This navigation title may differ from the first level heading that shows in the main browser window. Use [navtitle] when the actual title of the topic isn’t appropriate for use in navigation panes or online contents (for example, because the actual title is too long).',
      'type' => 'text_textfield',
      'module' => 'text',
    ),
  );

  // Exported field: field_dita_task_postreq
  $fields['dita_task-field_dita_task_postreq'] = array(
    'field_name' => 'field_dita_task_postreq',
    'type_name' => 'dita_task',
    'display_settings' => array(
      'weight' => '52',
      'parent' => 'group_dita_task_taskbody',
      'label' => array(
        'format' => 'above',
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'text',
    'required' => '0',
    'multiple' => '0',
    'module' => 'text',
    'active' => '1',
    'text_processing' => '0',
    'max_length' => '',
    'allowed_values' => '',
    'allowed_values_php' => '',
    'widget' => array(
      'rows' => '5',
      'size' => 60,
      'default_value' => array(
        '0' => array(
          'value' => '',
          'format' => '1',
          '_error_element' => 'default_value_widget][field_dita_task_postreq][0][value',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Postreq',
      'weight' => '52',
      'description' => 'The [postreq] element describes steps or tasks that the user should do after the successful completion of the current task. It is often supported by links to the next task or tasks in the [related-links] section.',
      'type' => 'text_textarea',
      'module' => 'text',
    ),
  );

  // Exported field: field_dita_task_prereq
  $fields['dita_task-field_dita_task_prereq'] = array(
    'field_name' => 'field_dita_task_prereq',
    'type_name' => 'dita_task',
    'display_settings' => array(
      'weight' => '46',
      'parent' => 'group_dita_task_taskbody',
      'label' => array(
        'format' => 'above',
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'text',
    'required' => '0',
    'multiple' => '0',
    'module' => 'text',
    'active' => '1',
    'text_processing' => '0',
    'max_length' => '',
    'allowed_values' => '',
    'allowed_values_php' => '',
    'widget' => array(
      'rows' => '5',
      'size' => 60,
      'default_value' => array(
        '0' => array(
          'value' => '',
          'format' => '1',
          '_error_element' => 'default_value_widget][field_dita_task_prereq][0][value',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Prereq',
      'weight' => '46',
      'description' => 'The pre-requisite ([prereq]) section of a task should document things the user needs to know or do before starting the current task. Prerequisite links will be placed in a list after the related-links section; on output the [prereq] links from the related-links section are added to the [prereq] section.',
      'type' => 'text_textarea',
      'module' => 'text',
    ),
  );

  // Exported field: field_dita_task_related_links_ex
  $fields['dita_task-field_dita_task_related_links_ex'] = array(
    'field_name' => 'field_dita_task_related_links_ex',
    'type_name' => 'dita_task',
    'display_settings' => array(
      'weight' => '46',
      'parent' => 'group_dita_task_related_links',
      'label' => array(
        'format' => 'above',
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'text',
    'required' => '0',
    'multiple' => '1',
    'module' => 'text',
    'active' => '1',
    'text_processing' => '0',
    'max_length' => '',
    'allowed_values' => '',
    'allowed_values_php' => '',
    'widget' => array(
      'rows' => 5,
      'size' => '60',
      'default_value' => array(
        '0' => array(
          'value' => '',
          '_error_element' => 'default_value_widget][field_dita_task_related_links_ex][0][value',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'External related links',
      'weight' => '46',
      'description' => '',
      'type' => 'text_textfield',
      'module' => 'text',
    ),
  );

  // Exported field: field_dita_task_related_links_lo
  $fields['dita_task-field_dita_task_related_links_lo'] = array(
    'field_name' => 'field_dita_task_related_links_lo',
    'type_name' => 'dita_task',
    'display_settings' => array(
      'weight' => '45',
      'parent' => 'group_dita_task_related_links',
      'label' => array(
        'format' => 'above',
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'nodereference',
    'required' => '0',
    'multiple' => '1',
    'module' => 'nodereference',
    'active' => '1',
    'referenceable_types' => array(
      'dita_reference' => 'dita_reference',
      'dita_task' => 'dita_task',
      'page' => 0,
      'graphmind' => FALSE,
      'dita_concepts' => FALSE,
      'external_resource' => FALSE,
    ),
    'advanced_view' => '--',
    'advanced_view_args' => '',
    'widget' => array(
      'autocomplete_match' => 'contains',
      'size' => '60',
      'default_value' => array(
        '0' => array(
          'nid' => NULL,
          '_error_element' => 'default_value_widget][field_dita_task_related_links_lo][0][nid][nid',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Local related links',
      'weight' => '45',
      'description' => '',
      'type' => 'nodereference_autocomplete',
      'module' => 'nodereference',
    ),
  );

  // Exported field: field_dita_task_result
  $fields['dita_task-field_dita_task_result'] = array(
    'field_name' => 'field_dita_task_result',
    'type_name' => 'dita_task',
    'display_settings' => array(
      'weight' => '50',
      'parent' => 'group_dita_task_taskbody',
      'label' => array(
        'format' => 'above',
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'text',
    'required' => '0',
    'multiple' => '0',
    'module' => 'text',
    'active' => '1',
    'text_processing' => '0',
    'max_length' => '',
    'allowed_values' => '',
    'allowed_values_php' => '',
    'widget' => array(
      'rows' => '5',
      'size' => '60',
      'default_value' => array(
        '0' => array(
          'value' => '',
          'format' => '1',
          '_error_element' => 'default_value_widget][field_dita_task_result][0][value',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Result',
      'weight' => '50',
      'description' => 'The [result] element describes the expected outcome for the task as a whole. Note: If this is the outcome of a specific step, put this in the [stepresult] element instead.',
      'type' => 'text_textarea',
      'module' => 'text',
    ),
  );

  // Exported field: field_dita_task_searchtitle
  $fields['dita_task-field_dita_task_searchtitle'] = array(
    'field_name' => 'field_dita_task_searchtitle',
    'type_name' => 'dita_task',
    'display_settings' => array(
      'weight' => '41',
      'parent' => 'group_dita_task_titlealts',
      'label' => array(
        'format' => 'above',
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'text',
    'required' => '0',
    'multiple' => '0',
    'module' => 'text',
    'active' => '1',
    'text_processing' => '0',
    'max_length' => '',
    'allowed_values' => '',
    'allowed_values_php' => '',
    'widget' => array(
      'rows' => 5,
      'size' => '60',
      'default_value' => array(
        '0' => array(
          'value' => '',
          '_error_element' => 'default_value_widget][field_dita_task_searchtitle][0][value',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Searchtitle',
      'weight' => '41',
      'description' => 'When your DITA task is transformed to XHTML, the [searchtitle] element is used to create a title element at the top of the resulting HTML file. This title is normally used in search result summaries by some search engines, such as that in Eclipse (http://eclipse.org); if not set, the XHTML’s title element defaults to the source topic’s title content (which may not be as well optimized for search summaries)',
      'type' => 'text_textfield',
      'module' => 'text',
    ),
  );

  // Exported field: field_dita_task_steps
  $fields['dita_task-field_dita_task_steps'] = array(
    'field_name' => 'field_dita_task_steps',
    'type_name' => 'dita_task',
    'display_settings' => array(
      'weight' => '48',
      'parent' => 'group_dita_task_taskbody',
      'label' => array(
        'format' => 'above',
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'text',
    'required' => '0',
    'multiple' => '1',
    'module' => 'text',
    'active' => '1',
    'text_processing' => '0',
    'max_length' => '',
    'allowed_values' => '',
    'allowed_values_php' => '',
    'widget' => array(
      'rows' => '3',
      'size' => 60,
      'default_value' => array(
        '0' => array(
          'value' => '<cmd></cmd>',
          '_error_element' => 'default_value_widget][field_dita_task_steps][0][value',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Steps',
      'weight' => '48',
      'description' => 'The [steps] section of a task provides the main content of the task topic. The task is described as a series of steps that the user must follow to accomplish the task. One or more [steps] elements is required inside the [steps] section. It\'s possible that your document will fail on DTD validation because of these fields. If you are not familiar with DITA, it\'s the best to start every step with a &lt;cmd&gt; tag and end with a &lt;&#47;cmd&gt; closing tag.',
      'type' => 'text_textarea',
      'module' => 'text',
    ),
  );

  // Exported field: field_dita_task_steps_ordered
  $fields['dita_task-field_dita_task_steps_ordered'] = array(
    'field_name' => 'field_dita_task_steps_ordered',
    'type_name' => 'dita_task',
    'display_settings' => array(
      'label' => array(
        'format' => 'above',
        'exclude' => 0,
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      '4' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
    'widget_active' => '1',
    'type' => 'text',
    'required' => '0',
    'multiple' => '0',
    'module' => 'text',
    'active' => '1',
    'text_processing' => '0',
    'max_length' => '',
    'allowed_values' => 'Steps aren\'t ordered
Steps are ordered',
    'allowed_values_php' => '',
    'widget' => array(
      'default_value' => array(
        '0' => array(
          'value' => 'Steps aren\'t ordered',
        ),
      ),
      'default_value_php' => NULL,
      'label' => 'Steps are ordered',
      'weight' => '49',
      'description' => 'If checked, the steps are ordered',
      'type' => 'optionwidgets_onoff',
      'module' => 'optionwidgets',
    ),
  );

  // Translatables
  // Included for use with string extractors like potx.
  t(' External related links');
  t(' Local related links');
  t('Abstract');
  t('Conbody');
  t('Context');
  t('Example');
  t('External related links');
  t('Local related links');
  t('Navtitle');
  t('Postreq');
  t('Prereq');
  t('Prolog');
  t('Refbody');
  t('Result');
  t('Searchtitle');
  t('Steps');
  t('Steps are ordered');

  return $fields;
}
