<?php

/**
 * Implementation of hook_fieldgroup_default_groups().
 */
function simple_dita_forms_fieldgroup_default_groups() {
  $groups = array();

  // Exported group: group_dita_con_related_links
  $groups['dita_concept-group_dita_con_related_links'] = array(
    'group_type' => 'standard',
    'type_name' => 'dita_concept',
    'group_name' => 'group_dita_con_related_links',
    'label' => 'Related links',
    'settings' => array(
      'form' => array(
        'style' => 'fieldset_collapsible',
        'description' => 'The related information links of a topic ([related-links] element) are stored in a special section following the body of the topic. After a topic is processed into it final output form, the related links are usually displayed at the end of the topic, although some Web-based help systems might display them in a separate navigation frame.',
      ),
      'display' => array(
        'description' => '',
        'teaser' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'full' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        '4' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        '2' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        '3' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'sticky' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'label' => 'above',
      ),
    ),
    'weight' => '0',
    'fields' => array(
      '0' => 'field_dita_con_related_links_lo',
      '1' => 'field_dita_con_related_links_ex',
    ),
  );

  // Exported group: group_dita_con_titlealts
  $groups['dita_concept-group_dita_con_titlealts'] = array(
    'group_type' => 'standard',
    'type_name' => 'dita_concept',
    'group_name' => 'group_dita_con_titlealts',
    'label' => 'Titlealts',
    'settings' => array(
      'form' => array(
        'style' => 'fieldset_collapsible',
        'description' => 'The alternate title element ([titlealts]) is optional, but can occur after the topic title. Two elements can be inserted as sub-elements of [titlealts]: navigation title [navtitle] and search title [searchtitle].
When your DITA topic is transformed to XHTML, the [searchtitle] element is used to create a title element at the top of the resulting XHTML file. This title may differ from the first level heading that shows in the main browser window. In HTML output, the [navtitle] may be used to create navigation panels when your DITA tasks are part of an HTML-based help or information system. The design intent is to enable navigation for HTML Help and Eclipse help systems.',
      ),
      'display' => array(
        'description' => '',
        'teaser' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'full' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        '4' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        '2' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        '3' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'sticky' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'label' => 'above',
      ),
    ),
    'weight' => '-3',
    'fields' => array(
      '0' => 'field_dita_con_navtitle',
      '1' => 'field_dita_con_searchtitle',
    ),
  );

  // Exported group: group_docref
  $groups['dita_concept-group_docref'] = array(
    'group_type' => 'standard',
    'type_name' => 'dita_concept',
    'group_name' => 'group_docref',
    'label' => 'Site data',
    'settings' => array(
      'form' => array(
        'style' => 'fieldset',
        'description' => '',
      ),
      'display' => array(
        'weight' => '5',
        'label' => 'above',
        'teaser' => array(
          'format' => 'fieldset_collapsed',
          'exclude' => 0,
        ),
        'full' => array(
          'format' => 'fieldset_collapsed',
          'exclude' => 0,
        ),
        'description' => '',
        '4' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'token' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
      ),
    ),
    'weight' => '-4',
    'fields' => array(),
  );

  // Exported group: group_dita_ref_related_links
  $groups['dita_reference-group_dita_ref_related_links'] = array(
    'group_type' => 'standard',
    'type_name' => 'dita_reference',
    'group_name' => 'group_dita_ref_related_links',
    'label' => 'Related links',
    'settings' => array(
      'form' => array(
        'style' => 'fieldset_collapsible',
        'description' => 'The related information links of a topic ([related-links] element) are stored in a special section following the body of the topic. After a topic is processed into it final output form, the related links are usually displayed at the end of the topic, although some Web-based help systems might display them in a separate navigation frame.',
      ),
      'display' => array(
        'description' => '',
        'teaser' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'full' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        '4' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        '2' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        '3' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'sticky' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'label' => 'above',
      ),
    ),
    'weight' => '33',
    'fields' => array(
      '0' => 'field_dita_ref_related_links_lo',
      '1' => 'field_dita_ref_related_links_ex',
    ),
  );

  // Exported group: group_dita_ref_titlealts
  $groups['dita_reference-group_dita_ref_titlealts'] = array(
    'group_type' => 'standard',
    'type_name' => 'dita_reference',
    'group_name' => 'group_dita_ref_titlealts',
    'label' => 'Titlealts',
    'settings' => array(
      'form' => array(
        'style' => 'fieldset_collapsible',
        'description' => 'The alternate title element ([titlealts]) is optional, but can occur after the topic title. Two elements can be inserted as sub-elements of [titlealts]: navigation title [navtitle] and search title [searchtitle].
When your DITA topic is transformed to XHTML, the [searchtitle] element is used to create a title element at the top of the resulting XHTML file. This title may differ from the first level heading that shows in the main browser window. In HTML output, the [navtitle] may be used to create navigation panels when your DITA tasks are part of an HTML-based help or information system. The design intent is to enable navigation for HTML Help and Eclipse help systems.',
      ),
      'display' => array(
        'description' => '',
        'teaser' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'full' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        '4' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        '2' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        '3' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'sticky' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'label' => 'above',
      ),
    ),
    'weight' => '25',
    'fields' => array(
      '0' => 'field_dita_ref_navtitle',
      '1' => 'field_dita_ref_searchtitle',
    ),
  );

  // Exported group: group_dita_task_related_links
  $groups['dita_task-group_dita_task_related_links'] = array(
    'group_type' => 'standard',
    'type_name' => 'dita_task',
    'group_name' => 'group_dita_task_related_links',
    'label' => 'Related links',
    'settings' => array(
      'form' => array(
        'style' => 'fieldset_collapsible',
        'description' => 'The related information links of a topic ([related-links] element) are stored in a special section following the body of the topic. After a topic is processed into it final output form, the related links are usually displayed at the end of the topic, although some Web-based help systems might display them in a separate navigation frame.',
      ),
      'display' => array(
        'weight' => '12',
        'label' => 'above',
        'teaser' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'full' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'description' => '',
        '4' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        '2' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        '3' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'sticky' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
      ),
    ),
    'weight' => '8',
    'fields' => array(
      '0' => 'field_dita_task_related_links_lo',
      '1' => 'field_dita_task_related_links_ex',
    ),
  );

  // Exported group: group_dita_task_taskbody
  $groups['dita_task-group_dita_task_taskbody'] = array(
    'group_type' => 'standard',
    'type_name' => 'dita_task',
    'group_name' => 'group_dita_task_taskbody',
    'label' => 'Taskbody',
    'settings' => array(
      'form' => array(
        'style' => 'fieldset',
        'description' => 'The [taskbody] element is the main body-level element inside a task topic. A task body has a very specific structure, with the following elements in this order: [prereq], [context], [steps], [result], [example] and [postreq]. Each of the body sections are optional.',
      ),
      'display' => array(
        'weight' => '11',
        'label' => 'above',
        'teaser' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'full' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'description' => '',
        '4' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        '2' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        '3' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'sticky' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
      ),
    ),
    'weight' => '7',
    'fields' => array(
      '0' => 'field_dita_task_prereq',
      '1' => 'field_dita_task_context',
      '2' => 'field_dita_task_steps',
      '3' => 'field_dita_task_steps_ordered',
      '4' => 'field_dita_task_result',
      '5' => 'field_dita_task_example',
      '6' => 'field_dita_task_postreq',
    ),
  );

  // Exported group: group_dita_task_titlealts
  $groups['dita_task-group_dita_task_titlealts'] = array(
    'group_type' => 'standard',
    'type_name' => 'dita_task',
    'group_name' => 'group_dita_task_titlealts',
    'label' => 'Titlealts',
    'settings' => array(
      'form' => array(
        'style' => 'fieldset_collapsible',
        'description' => 'The alternate title element ([titlealts]) is optional, but can occur after the topic title. Two elements can be inserted as sub-elements of [titlealts]: navigation title [navtitle] and search title [searchtitle].
When your DITA topic is transformed to XHTML, the [searchtitle] element is used to create a title element at the top of the resulting XHTML file. This title may differ from the first level heading that shows in the main browser window. In HTML output, the [navtitle] may be used to create navigation panels when your DITA tasks are part of an HTML-based help or information system. The design intent is to enable navigation for HTML Help and Eclipse help systems.',
      ),
      'display' => array(
        'weight' => '5',
        'label' => 'above',
        'teaser' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'full' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'description' => '',
        '4' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        '2' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        '3' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'sticky' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
      ),
    ),
    'weight' => '4',
    'fields' => array(
      '0' => 'field_dita_task_navtitle',
      '1' => 'field_dita_task_searchtitle',
    ),
  );

  // Exported group: group_docref
  $groups['dita_task-group_docref'] = array(
    'group_type' => 'standard',
    'type_name' => 'dita_task',
    'group_name' => 'group_docref',
    'label' => 'Site data',
    'settings' => array(
      'form' => array(
        'style' => 'fieldset',
        'description' => '',
      ),
      'display' => array(
        'weight' => '8',
        'label' => 'above',
        'teaser' => array(
          'format' => 'fieldset_collapsed',
          'exclude' => 0,
        ),
        'full' => array(
          'format' => 'fieldset_collapsed',
          'exclude' => 0,
        ),
        'description' => '',
        '4' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'token' => array(
          'format' => 'fieldset',
          'exclude' => 0,
        ),
      ),
    ),
    'weight' => '6',
    'fields' => array(),
  );

  // Translatables
  // Included for use with string extractors like potx.
  t('Related links');
  t('Site data');
  t('Taskbody');
  t('Titlealts');

  return $groups;
}
